<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-buttons slot="end">
      <ion-button (click)="logout()">
        <ion-icon name="key"></ion-icon>
      </ion-button>
    </ion-buttons>
    <!--<ion-title>{{ user.role.display_name }}</ion-title>-->
    <ion-title>{{ Manager }}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <ion-grid>
    <ion-row>
      <ion-col size="12">
        <ion-card button (click)="navCtrl.navigateForward('inspect')">
          <ion-card-content>
            <div class="icon">
              <ion-icon name="qr-scanner" size="large"></ion-icon>
            </div>
            <div class="text">
              <ion-text>
                <h2 *ngIf="user?.role.id !== 0">INSPECT ELEMENT</h2>
                <h2 *ngIf="user?.role.id === 0">
                  INSPECT/REGISTER SHIPMENT
                </h2>
              </ion-text>
            </div>
          </ion-card-content>
        </ion-card>
      </ion-col>
      <ion-col size="12" *ngIf="user?.role.id === 0">
        <ion-card button (click)="navCtrl.navigateForward('create-user')">
          <ion-card-content>
            <div class="icon">
              <ion-icon name="person-add" size="large"></ion-icon>
            </div>
            <div class="text">
              <ion-text>
                <h2>CREATE USER</h2>
              </ion-text>
            </div>
          </ion-card-content>
        </ion-card>
      </ion-col>
      <ion-col size="12">
        <ion-card button (click)="navCtrl.navigateForward('element-list')">
          <ion-card-content>
            <div class="icon">
              <ion-icon name="archive" size="large"></ion-icon>
            </div>
            <div class="text">
              <ion-text>
                <h2>
                  SHIPMENT LIST
                </h2>
              </ion-text>
            </div>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
